
#ifndef CDDB_H
#define CDDB_H

#include "cddbp.h"
#include <stdio.h>
#include <stdlib.h>
#include <strings.h>
#include "misc.h"
#include "common.h"
#include "err_dialog_handler.h"
#include "select_frame_handler.h"
#include "main_window_handler.h"

#define NAME "ripperX"
#define RCFILE ".cccdrc"

enum errors { OK, REMOTE_OK, LOCAL_OK, NOT_FOUND, NO_CONNECT, CONNECT_REFUSED,
              SERVER_ERROR, PARAM_ERROR };
enum lookup_protocol { CDDBP, HTTP };
enum lookup_order { NONE, LOCAL, REMOTE, LOCAL_REMOTE, REMOTE_LOCAL };


int cddb_handle_data( const char *data, char** artist, char** dtitle, char* titles[], int* totaltracks, int include_artist, int include_dtitle, int include_tracknum, int convert_spaces );
int do_cddb( char** result, int tracknum, int duration, long int offset[], const char* server, int port );
int cddb_main( _main_data *main_data );

#endif
